# ZipArchiveEntryRequest (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers.zip

## Class ZipArchiveEntryRequest

- java.lang.Object
- - org.apache.commons.compress.archivers.zip.ZipArchiveEntryRequest

-     public class ZipArchiveEntryRequest
      extends Object

  A Thread-safe representation of a ZipArchiveEntry that is used to add entries to parallel archives.
  Since:
    1.10

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ZipArchiveEntryRequest` | `createZipArchiveEntryRequest(ZipArchiveEntry zipArchiveEntry, InputStreamSupplier payloadSupplier)` Create a ZipArchiveEntryRequest
    `int` | `getMethod()` The compression method to use
    `InputStream` | `getPayloadStream()` The paylaod that will be added to this zip entry

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createZipArchiveEntryRequest

          public static ZipArchiveEntryRequest createZipArchiveEntryRequest(ZipArchiveEntry zipArchiveEntry,
                                                            InputStreamSupplier payloadSupplier)

      Create a ZipArchiveEntryRequest
      Parameters:
        `zipArchiveEntry` - The entry to use
        `payloadSupplier` - The payload that will be added to the zip entry.
      Returns:
        The newly created request

    - #### getPayloadStream

          public InputStream getPayloadStream()

      The paylaod that will be added to this zip entry
      Returns:
        The input stream.

    - #### getMethod

          public int getMethod()

      The compression method to use
      Returns:
        The compression method to use

Copyright © 2016 The Apache Software Foundation. All rights reserved.